Bug 116494 - Empty tooltip is replaced by text in customization
Summary: Empty tooltip is replaced by text in customization
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2018-03-19 14:23 UTC by Heiko Tietze
Modified: 2018-04-10 13:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-03-19 14:23:45 UTC
For example, "AutoCorrect" and "AutoAbstract to Presentation" both shows "Customizes and saves current menu layouts as well as creates new menus."  at the description field. That's misleading and we better leave the field empty.
Comment 1 Muhammet Kara 2018-03-19 18:01:40 UTC
If there is no help text for the selected command, it tries to get the help text of the parent class/widget, that's why this happens.
Comment 2 Muhammet Kara 2018-03-20 07:30:48 UTC
Patch on gerrit: https://gerrit.libreoffice.org/#/c/51584/
Comment 3 Commit Notification 2018-03-20 11:42:05 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8567047218c2f6e01b6525e0996607ad7f928a57

tdf#116494: Don't ask parent if no help text

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.